httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Lee Fellows <lfell...@4lane.com>
Subject RE: Apache 1.3.24 and LOADModule
Date Mon, 10 Jun 2002 12:24:19 GMT
Well, that explains LoadModule not being recognized.

Out of curiousity, I test compiled 1.3.24 with this config option:
  ./configure --enable-module=so --enable-module=info \
--enable-module=proxy --enable-module=rewrite

I do not have PHP, so I skipped PHP.  But my httpd shows more modules
built in than you see in your display.  Namely, in addition to yours, I
have so, rewrite, proxy, and do not have ssl.  Sugguests that the httpd
you are using was not produced by the configuration you think was used.
SSL especially, does not get included automatically.  That and missing
rewrite and proxy indicate a diffence in the configuration seen by
make.

  My suggestion:  make distclean, ./configure with your desired options,
and test the httpd before you install it.  After make finishes, cd into
src and re-run ./httpd -l.  See if this doesn't clear up the problem.



On Fri, 2002-06-07 at 22:01, del wrote:
> 
> hello,
> 
> here is the info:
> 
> [root@dakar bin]# ./httpd -l
> Compiled-in modules:
>    http_core.c
>    mod_env.c
>    mod_log_config.c
>    mod_mime.c
>    mod_negotiation.c
>    mod_status.c
>    mod_include.c
>    mod_autoindex.c
>    mod_dir.c
>    mod_cgi.c
>    mod_asis.c
>    mod_imap.c
>    mod_actions.c
>    mod_userdir.c
>    mod_alias.c
>    mod_access.c
>    mod_auth.c
>    mod_setenvif.c
>    mod_ssl.c
> suexec: disabled; invalid wrapper /usr/local/apache/bin/suexec
> 
> hmm...should there not be a "mod_so.c" in that list? Why was it not 
> included...?
> 
> del
> 
> 
> 
> At 07:37 AM 6/7/2002 -0400, Lee Fellows wrote:
> >What is the output when you run './httpd -l'?
> 
> 
> 
> 
> >On Thu, 2002-06-06 at 22:52, del wrote:
> > > greetings,
> > >
> > > well, i am still having the same problem::
> > >
> > > [root@dakar root]# cd /usr/local/apache/bin
> > > [root@dakar bin]# ./apachectl start
> > > Syntax error on line 203 of /usr/local/apache/conf/httpd.conf:
> > > Invalid command 'LoadModule', perhaps mis-spelled or defined by a module
> > > not included in the server configuration
> > > ./apachectl start: httpd could not be started
> > >
> > >
> > > my apache config looks like:
> > >
> > > [root@dakar apache_1.3.24_install]# ./configure
> > > --prefix=/usr/local/apache_1.3.24 \
> > >   --enable-module=so  --enable-module=info  --enable-module=proxy   \
> > >   --enable-module=rewrite --activate-module=src/modules/php4/libphp4.a
> > >
> > > I have configured/built many apache servers but this problem still
> > > perplexes me....help!!
> > >
> > > I have only had this problem with apache 1.3.24...the last apache server
> > > that i built was apache_1.3.20 and I did not have any problem with loading
> > > modules...
> > >
> > >
> > > del
> > >
> > >
> > > At 01:03 PM 6/4/2002 +0200, Boyle Owen wrote:
> > >
> > > > >From: del [mailto:del@obsidian.com]
> > > > >
> > > > >Greetings,
> > > > >
> > > > >I just downloaded,configured and trying to start apache on RH
> > > > >7.3 box with
> > > > >512Meg RAM
> > > > >
> > > > >When trying to start apache here is the error msg that I get:
> > > > >
> > > > >[root@dakar root]# cd /usr/local/apache/bin
> > > > >[root@dakar bin]# ./apachectl startssl
> > > > >Syntax error on line 203 of /usr/local/apache/conf/httpd.conf:
> > > > >Invalid command 'LoadModule', perhaps mis-spelled or defined
> > > > >by a module
> > > > >not included in the server configuration
> > > > >./apachectl startssl: httpd could not be started
> > > > >[root@dakar bin]#
> > > > >
> > > > >In my httpd.conf file i have:
> > > > >
> > > > >  LoadModule php4_module libexec/libphp4.so
> > > > >  ClearModuleList
> > > > >   AddModule  mod_php4.c
> > > > >   AddType    application/x-httpd-php .php, .php3, .php4, .htm, .html
> > > > >
> > > > >Why is it having problem loading a module...?
> > > > >
> > > > >when  apache was configured, here are the parameters:
> > > > >
> > > > >[root@dakar apache_1.3.24_install]#   ./configure
> > > > >--prefix=/usr/local/apache_1.3.24 --enable-module=rewrite
> > > > --enable-shared=rewrite
> > > > >--enable-module=proxy   --enable-shared=proxy
> > > > --enable-module=so  --enable-module=info
> > > >
> > > >Somehow mod_so didn't get compiled in... Do ./httpd -l to check. If it's
> > > >not there, try reconfiguring and recompoiling with;
> > > >
> > > >./configure --prefix=/usr/local/apache_1.3.24 \
> > > >--enable-module=so  \
> > > >--enable-module=info \
> > > >--enable-shared=rewrite --enable-module=rewrite \
> > > >--enable-shared=proxy --enable-module=proxy
> > > >
> > > >i.e. put your static modules first.
> > > >
> > > >Rgds,
> > > >
> > > >Owen Boyle
> > > >
> > > >---------------------------------------------------------------------
> > > >To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
> > > >For additional commands, e-mail: users-help@httpd.apache.org
> > >
> > >
> > >
> > > ---------------------------------------------------------------------
> > > To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
> > > For additional commands, e-mail: users-help@httpd.apache.org
> > >
> > >
> >
> >
> >
> >---------------------------------------------------------------------
> >To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
> >For additional commands, e-mail: users-help@httpd.apache.org
> 
> 
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
> For additional commands, e-mail: users-help@httpd.apache.org
> 
> 



---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message